Subject: Re: bug#16292: 24.3.50; info docs now contain single straight quotes instead of `'

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 Jan 2014 17:28:41 +0200

> Date: Wed, 01 Jan 2014 20:48:49 -0800
> From: Paul Eggert <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> Stefan Monnier wrote:
> 
> > There's no good reason to link the input document encoding
> >  to the kind of symbols used in the output.
> 
> I agree.  That's another bug report I suppose I should file with bug-texinfo,
> I suppose.

Yes.  Although the makeinfo maintainer doesn't seem to share this view.

> By the way, this isn't something that began with my changes in March,
> as Eli suggested earlier.  Emacs 24.3 shipped with some .info files in
> UTF-8 and others in Latin-1, which means that in pretty much any locale,
> standalone 'info' will misbehave on some Emacs info file or another.
> The problem goes back at least to Emacs 23.1 in 2009 (that's as far back
> as I cared to check).

That's true, but until Texinfo 5 came and changed the effect of
@documentencoding, this hardly mattered, as the non-ASCII characters
in those few manuals (I found 4) were extremely rare, something like 2
to 5 per manual.

The important thing (to me) is to have the markup, quotes, and arrows
displayable, because that's the bulk of the manual.